Bug 1298945 - Implement a SPICE protocol level keepalive mechanism for all channels
Implement a SPICE protocol level keepalive mechanism for all channels
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.3
All All
medium Severity medium
: rc
: ---
Assigned To: Marc-Andre Lureau
Virtualization Bugs
spice & qemu & RHEVM & libvirt
:
Depends On: 1298950
Blocks: 1298944 1298982 1299373
  Show dependency treegraph
 
Reported: 2016-01-15 08:35 EST by Christophe Fergeau
Modified: 2016-01-22 09:04 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1298590
Environment:
Last Closed: 2016-01-20 09:56:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spice: Add the ability to specify keepalive (2.48 KB, patch)
2016-01-15 08:37 EST, Christophe Fergeau
no flags Details | Diff
spice: Don't show keepalive option in --help when not supported (3.55 KB, patch)
2016-01-15 08:38 EST, Christophe Fergeau
no flags Details | Diff

  None (edit)
Comment 1 Christophe Fergeau 2016-01-15 08:37:04 EST
SPICE side is being addressed in rhbz#1298944. QEMU will need to use the new spice-server API. I'll attach to this bug the patches which will be sent upstream once there is a spice-server release with this.
Comment 2 Christophe Fergeau 2016-01-15 08:37 EST
Created attachment 1115163 [details]
spice: Add the ability to specify keepalive
Comment 3 Christophe Fergeau 2016-01-15 08:38 EST
Created attachment 1115165 [details]
spice: Don't show keepalive option in --help when not supported
Comment 5 Christophe Fergeau 2016-01-20 09:56:12 EST
Closing this as per the discussion in rhbz#1298590

Note You need to log in before you can comment on or make changes to this bug.